services:
  logger.channel.decoupled_router:
    parent: logger.channel_base
    arguments: ['decoupled_router']
  decoupled_router.router_path_translator.subscriber:
    class: Drupal\decoupled_router\EventSubscriber\RouterPathTranslatorSubscriber
    arguments: ['@service_container', '@logger.channel.decoupled_router', '@router.no_access_checks', '@module_handler', '@config.factory', '@path.alias_manager']
    tags:
      - { name: event_subscriber }
  decoupled_router.redirect_path_translator.subscriber:
    class: Drupal\decoupled_router\EventSubscriber\RedirectPathTranslatorSubscriber
    parent: decoupled_router.router_path_translator.subscriber
    tags:
      - { name: event_subscriber }
  decoupled_router.cache_invalidation:
    class: Drupal\decoupled_router\CacheInvalidator
    arguments: ['@cache_tags.invalidator', '@entity_type.manager']
